Skip to content
Prividium

templates

GET /templates/

GET/templates/

List templates with pagination

Query Parameters

limit
integer·min 1·max 1000·default 10
offset
integer·min 0·max 9007199254740991·default 0
searchQuery
string·max 200

Responses

POST /templates/

POST/templates/

Create a new template

Request Body

application/json
templateKeyRequired
string·min 1
nameRequired
string·min 1·max 100
description
string
abiRequired
string

Responses

GET /templates/{id}

GET/templates/{id}

Get a template by id

Path Parameters

idRequired
integer·min -9007199254740991·max 9007199254740991

Responses

PUT /templates/{id}

PUT/templates/{id}

Replace a template (full update)

Path Parameters

idRequired
integer·min -9007199254740991·max 9007199254740991

Request Body

application/json
nameRequired
string·min 1·max 100
descriptionRequired
string
abiRequired
string

Responses

DELETE /templates/{id}

DELETE/templates/{id}

Delete a template

Path Parameters

idRequired
integer·min -9007199254740991·max 9007199254740991

Responses